Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.teleal.cling.support.lastchange
Class Event

    java.lang.Object
      org.teleal.cling.support.lastchange.Event

    public class Event

extends Object

Author:
  Christian Bauer

Field Summary
`protected List<InstanceID>` | `instanceIDs`

Constructor Summary
`Event()`
`Event(List<InstanceID> instanceIDs)`

Method Summary
`void` | `clear()`
`
`<EV extends EventedValue> EV`
` | `getEventedValue(org.teleal.cling.model.types.UnsignedIntegerFourBytes id, Class<EV> type)`
`InstanceID` | `getInstanceID(org.teleal.cling.model.types.UnsignedIntegerFourBytes id)`
`List<InstanceID>` | `getInstanceIDs()`
`boolean` | `hasChanges()`
`void` | `setEventedValue(org.teleal.cling.model.types.UnsignedIntegerFourBytes id, EventedValue ev)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### instanceIDs

    protected List<InstanceID> instanceIDs

Constructor Detail

### Event

    public Event()

### Event

    public Event(List<InstanceID> instanceIDs)

Method Detail

### getInstanceIDs

    public List<InstanceID> getInstanceIDs()

### getInstanceID

    public InstanceID getInstanceID(org.teleal.cling.model.types.UnsignedIntegerFourBytes id)

### clear

    public void clear()

### setEventedValue

    public void setEventedValue(org.teleal.cling.model.types.UnsignedIntegerFourBytes id,
                                EventedValue ev)

### getEventedValue

    public <EV extends EventedValue> EV getEventedValue(org.teleal.cling.model.types.UnsignedIntegerFourBytes id,
                                                        Class<EV> type)

### hasChanges

    public boolean hasChanges()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 Teleal GmbH, Switzerland. All Rights Reserved.